﻿.auth-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    width: 100%;
    padding: 20px;
    box-sizing: border-box;
}

.auth-form {
    background-color: white;
    border-radius: 12px;
    padding: 30px;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
    width: 100%;
    max-width: 400px;
    text-align: center;
}

.auth-logo {
    display: block;
    margin: 0 auto 20px;
    max-width: 75px;
    max-height: 75px;
    margin-bottom: 3rem;
}

.auth-button {
    width: 100%;
    margin-top: 20px;
    padding: 10px;
    background-color: #544cdc;
    color: white;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

    .auth-button:disabled {
        cursor: not-allowed;
        background-color: #7d7aaa;

    }

    .auth-button:hover {
        background-color: #3a34a5;
        color: white;
    }

.auth-title {
    color: black;
    font-size: 1.6rem;
    font-weight: bold;
    margin-bottom: 1.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
}

.custom-background {
    background: linear-gradient(135deg, rgba(84, 76, 220, 0.3),
    rgba(106, 90, 205, 0.3),
    rgba(237, 72, 162, 0.3),
    rgba(255, 138, 94, 0.3),
    rgba(255, 169, 77, 0.3),
    rgba(132, 111, 249, 0.3),
    rgba(61, 220, 151, 0.3),
    rgba(187, 58, 228, 0.3),
    rgba(0, 123, 255, 0.3),
    rgba(255, 94, 196, 0.3)
    );
    background-size: 400% 400%;
    animation: gradientShift 75s ease infinite;
    padding: 20px;
    color: white;
    position: relative;
}

    .custom-background::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(255, 255, 255, 0.3);
        border-radius: inherit;
        pointer-events: none;
    }

.small-link {
    font-size: 0.875rem; /* Taille de police plus petite */
    color: #8882e8; /* Couleur du lien */
    text-decoration: none; /* Pas de soulignement */
}

    .small-link:hover {
        text-decoration: underline; /* Soulignement au survol */
        color: #8882e8; /* Couleur du lien */
    }

@keyframes gradientShift {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0% 50%;
    }
}